var my_num number;
set serveroutput on size 1000000
set echo on
set feedback off
clear screen

-- Primes package tests follow
pause 
clear screen
------------------------------------------------------
-- test Prev/Next w/out of range input
------------------------------------------------------
execute :my_num := Primes.NextP(222222222222222);
execute :my_num := Primes.PrevP(0);

pause
clear screen
------------------------------------------------------
-- test NextP/PrevP w/in range prime input
------------------------------------------------------
execute :my_num := Primes.NextP(17);
print my_num
execute :my_num := Primes.PrevP(17);
print my_num

pause
clear screen
------------------------------------------------------
-- test NextP/PrevP w/in range non-prime input
------------------------------------------------------
execute :my_num := Primes.NextP(32);
print my_num
execute :my_num := Primes.PrevP(32);
print my_num

pause
clear screen
------------------------------------------------------
-- testing isPrime
------------------------------------------------------
declare
   function ttrue(b boolean) return varchar2 is
   begin
      if b then return 'TRUE'; else return 'FALSE'; end if;
   end ttrue;
begin
   dbms_output.put_line('17prime?'||ttrue(Primes.isPrime(17)));
   dbms_output.put_line('1035prime?'||ttrue(Primes.isPrime(1035)));
   dbms_output.put_line('37030prime?'||ttrue(Primes.isPrime(37030)));
end;
/

pause
clear screen
------------------------------------------------------
-- testing (Txt)factors
------------------------------------------------------
begin
dbms_output.put_line('24='||Primes.Txtfactors(24));
dbms_output.put_line('108='||Primes.Txtfactors(108));
dbms_output.put_line('1024='||Primes.Txtfactors(1024));
dbms_output.put_line('25*9='||Primes.Txtfactors(25*9));
dbms_output.put_line('317='||Primes.Txtfactors(317));
end;
/
set echo off
set feedback 1

